%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-tripleo
Version:        5.6.8
Release:        27%{?dist}
Summary:        TripleO Puppet Module
License:        Apache-2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=5.6.8
#
Patch0001: 0001-Add-Contrail-settings-to-haproxy.pp.patch
Patch0002: 0002-Composable-services-for-Dell-EMC-PS-Series.patch
Patch0003: 0003-Backport-Contrail-HAproxy.patch
Patch0004: 0004-Add-support-for-Cinder-NAS-secure-driver-params.patch
Patch0005: 0005-Dell-SC-Add-exclude_domain_ip-option.patch
Patch0006: 0006-Dell-SC-Add-secondary-DSM-support.patch
Patch0007: 0007-Support-for-Dell-EMC-VMAX-ISCSI-Cinder-Driver.patch
Patch0008: 0008-firewall-don-t-reload-IPtables-after-cleanup.patch
Patch0009: 0009-Make-exposing-the-keystone-admin-port-optional.patch
Patch0010: 0010-Set-rgw_keystone_revocation_interval-to-0-for-ceph-r.patch
Patch0011: 0011-Allow-vhost-socket-directory-user-group-as-configura.patch
Patch0012: 0012-firewall-add-IPv6-support.patch
Patch0013: 0013-Re-add-keystone_admin_public-flag.patch
Patch0014: 0014-Extract-local-CA-if-it-expired.patch
Patch0015: 0015-Disallow-TLS-v1.0-from-HAProxy.patch
Patch0016: 0016-Newton-only-Do-not-overwrite-current-neutron-nova-ho.patch
Patch0017: 0017-Ensure-the-CephX-Manila-keyring-permissions-are-only.patch
Patch0018: 0018-Newton-Only-Fix-getting-live-value-of-nova-neutron-d.patch
Patch0019: 0019-Add-missing-nfs_mount_options-for-Cinder-Netapp-back.patch
Patch0020: 0020-Refactor-iscsi-initiator-name-reset-into-separate-pr.patch
Patch0021: 0021-Newton-Only-Reset-iSCSI-initiator-name-on-Controller.patch
Patch0022: 0022-Make-sure-we-apply-qemu-config-changes.patch
Patch0023: 0023-Ensure-appropriate-ACL-mask-is-set-on-CephX-keyrings.patch
Patch0024: 0024-Allow-neutron_options-customization-for-dashboard.patch
Patch0025: 0025-Run-cinder-s-db-sync-only-on-bootstrap-node.patch
Patch0026: 0026-Fix-lint-downstream-due-to-new-net-telnet.patch
Patch0027: 0027-Fix-up-haproxy-cookies-for-orizon-OSP10-only.patch
Patch0028: 0028-Let-haproxy-defaults-be-overridable.patch
Patch0029: 0029-xinetd-bind-only-on-mysql-network.patch
Patch0030: 0030-Make-sure-we-don-t-override-neutron-nova-host-during.patch
Patch0031: 0031-Use-rabbitmq-ipv6-flag.patch
Patch0032: 0032-pre-Pike-include-cinder-os_privileged-for-cinder.patch
Patch0033: 0033-Allow-custom-per-service-listen_options-for-haproxy.patch
Patch0034: 0034-ceilometer-escape-in-crontab.patch
Patch0035: 0035-Include-heat-at-step-3.patch
Patch0036: 0036-Move-api-configuration-to-step3.patch
Patch0037: 0037-Move-gnocchi-glance-keystone-apache-config-to-step3.patch
Patch0038: 0038-downstream-only-Automatic-nova-instance-host-fix.patch
Patch0039: 0039-downstream-only-move-automatic-nova-instance-host-fi.patch
Patch0042: 0042-Add-tcp-check-connect-port-line-to-haproxy-redis-sta.patch
Patch0043: 0043-OSP10-downstream-only-Fix-redis-tcp-check-with-hapro.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-cassandra
Requires:       puppet-zookeeper
Requires:       puppet-firewall
Requires:       puppet-midonet
Requires:       puppet-tomcat
Requires:       puppet-keepalived
Requires:       puppet-haproxy
Requires:       puppet >= 2.7.0

%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0042 -p1
%patch0043 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Wed Aug 07 2019 Steve Linabery <slinaber@redhat.com> 5.6.8-27
- [OSP10/downstream-only] Fix redis tcp-check with haproxy from rhel7.7 (rhbz#1732444)

* Wed Jul 24 2019 Steve Linabery <slinaber@redhat.com> 5.6.8-26
- Add tcp-check connect port line to haproxy redis stanza

* Thu Apr 11 2019 Martin Schuppert <mschuppert@redhat.com> 5.6.8-23
- [downstream-only] move automatic nova instance host fix to mysql (rhbz#1698592)

* Mon Jan 14 2019 Martin Schuppert <mschuppert@redhat.com> 5.6.8-22
- [downstream-only] Automatic nova instance host fix (rhbz#1657889)

* Mon Jan 07 2019 Alex Schultz <aschultz@redhat.com> 5.6.8-21
- Move gnocchi/glance/keystone apache config to step3 (rhbz#1485264)
- Move api configuration to step3 (rhbz#1485264)
- Include ::heat at step 3 (rhbz#1485264)
- ceilometer: escape % in crontab (rhbz#1619575)

* Tue Dec 04 2018 Michele Baldessari <michele@acksyn.org> 5.6.8-20
- Allow custom per-service listen_options for haproxy (rhbz#1649363)

* Wed Nov 21 2018 Alan Bishop <abishop@redhat.com> 5.6.8-19
- [pre-Pike] include cinder::os_privileged for cinder (rhbz#1650702)

* Wed Nov 14 2018 John Eckersberg <jeckersb@redhat.com> 5.6.8-18
- Use rabbitmq ipv6 flag (rhbz#1557522)

* Wed Oct 03 2018 Sofer Athlan-Guyot <sathlang@redhat.com> 5.6.8-17
- Make sure we don't override neutron/nova host during update. (rhbz#1600178)

* Mon Aug 20 2018 Mike Bayer <mbayer@redhat.com> 5.6.8-16
- xinetd: bind only on mysql network (rhbz#1605973)

* Mon Aug 06 2018 Michele Baldessari <michele@acksyn.org> 5.6.8-15
- Let haproxy defaults be overridable (rhbz#1589361)

* Thu Aug 02 2018 Michele Baldessari <michele@acksyn.org> 5.6.8-14
- Fix up haproxy cookies for orizon [OSP10 only] (rhbz#1520799)
- Fix lint downstream due to new net-telnet (rhbz#1520799)

* Thu Jul 12 2018 Alan Bishop <abishop@redhat.com> 5.6.8-13
- Run cinder's db sync only on bootstrap node (rhbz#1595315)

* Wed Jul 11 2018 Carlos Goncalves <cgoncalves@redhat.com> 5.6.8-12
- Allow neutron_options customization for dashboard (rhbz#1598910)

* Mon Jul 09 2018 Alan Bishop <abishop@redhat.com> 5.6.8-11
- Ensure appropriate ACL mask is set on CephX keyrings (rhbz#1598428)

* Mon Jul 09 2018 Martin Schuppert <mschuppert@redhat.com> 5.6.8-10
- Make sure we apply qemu config changes (rhbz#1597997)

* Fri Jul 06 2018 Alan Bishop <abishop@redhat.com> 5.6.8-9
- [Newton Only] Reset iSCSI initiator name on Controllers (rhbz#1598562)
- Refactor iscsi initiator-name reset into separate profile (rhbz#1598562)

* Wed Jun 13 2018 Alan Bishop <abishop@redhat.com> 5.6.8-8
- Add missing nfs_mount_options for Cinder Netapp backend (rhbz#1567368)

* Thu May 17 2018 Sergii Golovatiuk <sgolovat@redhat.com> 5.6.8-7
- [Newton Only] Fix getting live value of nova/neutron during update. (rhbz#1499201)

* Mon May 14 2018 Steve Linabery <slinaber@redhat.com> 5.6.8-6
- Ensure the CephX Manila keyring permissions are only set when needed (rhbz#1576577)

* Fri May 11 2018 Sofer Athlan-Guyot <chem@sathlan.org> 5.6.8-5
- [Newton only] Do not overwrite current {neutron,nova}::host value. (rhbz#1499201)

* Tue May 08 2018 Alex Schultz <aschultz@redhat.com> 5.6.8-4
- Disallow TLS v1.0 from HAProxy (rhbz#1572355)
- Extract local CA if it expired (rhbz#1572282)

* Tue May 08 2018 Alex Schultz <aschultz@redhat.com> 5.6.8-3
- Re-add keystone_admin_public flag (rhbz#1576055)

* Thu Apr 26 2018 Alex Schultz <aschultz@redhat.com> 5.6.8-2
- firewall: add IPv6 support (rhbz#1571840)
- Allow vhost socket directory user/group as configurable from template (rhbz#1568355)

* Tue Apr 17 2018 Alex Schultz <aschultz@redhat.com> 5.6.8-1
- Update to 5.6.8

* Tue Mar 13 2018 Alex Schultz <aschultz@redhat.com> 5.6.4-6
- firewall: don't reload IPtables after cleanup (rhbz#1541528)

* Thu Mar 08 2018 Alan Bishop <abishop@redhat.com> 5.6.4-5
- Support for Dell EMC VMAX ISCSI Cinder Driver (rhbz#1503896)

* Wed Mar 07 2018 Alex Schultz <aschultz@redhat.com> 5.6.4-4
- Reload iptables instead of restart (rhbz#1541528)
- Remove neutron-managed firewall rules from /etc/sysconfig/iptables (rhbz#1541528)
- firewall: stop using stdlib stages (rhbz#1541528)

* Mon Jan 15 2018 shrjoshi <shrjoshi@redhat.com> 5.6.4-3
- Prepate a new Newton release
- Migrate puppet-tripleo to zuul v3 jobs
- Puppetfile: pin puppetlabs-haproxy to 1.5 (latest newton)
- Release 5.6.6 (newton)
- Prepare puppet-tripleo 5.6.5
- [newton] Add Puppet package to bindep, for module build
- Fix libvirt exec deps for split-stack
- pacemaker: create Mysql_user once Galera is ready (puppet4)

* Fri Oct 27 2017 Jason Joyce <jjoyce@redhat> 5.6.4-2
- Removing Requires on puppet-systemd.

* Tue Oct 24 2017 Jason Joyce <jjoyce@redhat.com> 5.6.4-1
- Handle duplicate/invalid entries in migration SSH inbound addresses
- Disable SSH login for nova_migration user when migration over ssh is disabled.
- Update to 5.6.4

* Thu Sep 07 2017 Mike Bayer <mbayer@redhat.com> 5.6.2-1
- Update to 5.6.2
  Resolves: #1483656

* Wed Sep 06 2017 Alex Schultz <aschultz@redhat.com> 5.6.1-4
- firewall: generally accept "jump" param and use tripleo:firewall for log rule (rhbz#1488492)

* Fri Sep 01 2017 Jason Joyce <jjoyce@redhat.com> 5.6.1-3
- Fix selinux unit tests

* Fri Aug 25 2017 Assaf Muller <amuller@redhat.com> 5.6.1-2
- Repair immediate VF configuration for PCI SR-IOV (rhbz#1482390)

* Fri Aug 04 2017 Jason Joyce <jjoyce@redhat.com> 5.6.1-1
- Update to 5.6.1

* Tue Jul 25 2017 Alex Schultz <aschultz@redhat.com> 5.6.0-6
- Use correct manage_firewall hieradata (rhbz#1470377)
- Do not fail if PCI device is missing (rhbz#1454624)

* Fri Jul 14 2017 Alan Bishop <abishop@redhat.com> 5.6.0-5
- Dell SC: Add exclude_domain_ip option (rhbz#1440290)
- Dell SC: Add secondary DSM support (rhbz#1440290)

* Wed Jul 05 2017 Or Idgar <oidgar@redhat.com> 5.6.0-4
- Ignore failures when loading nf_conntrack_proto_sctp kernel module (rhbz#1467617)
- Add support for Cinder "NAS secure" driver params (rhbz#1433404)

* Tue May 23 2017 Jason Joyce <jjoyce@redhat.com> 5.6.0-3
- Removing require on puppet-systemd (rhbz#1454433)

* Mon May 22 2017 Jason Joyce <jjoyce@redhat.com> 5.6.0-2
- Update to 5.6.0
- Adding Requires on systemd

* Thu May 18 2017 Alex Schultz <aschultz@redhat.com> 5.5.0-14
- Backport Contrail/HAproxy (rhbz#1446359)
- Add support to changing the Rabbitmq password on update (rhbz#1437427)

* Wed May 17 2017 Jason Joyce <jjoyce@redhat.com> 5.5.0-13
- Check rabbitmq user at step >= 2 (rhbz#1437427)
- [CVE-2017-2637] Prevent libvirt from listening on tcp (rhbz#1428241)
- Deploy WSGI apps at the same step (3) (rhbz#1441736)
- nova/libvirt: switch vnc server binding (rhbz#1430119)
- Move horizon to step 3 (rhbz#1438886)
- Composable services for Dell EMC PS Series
- Stop the chronyd service (rhbz#1429222)
- Enable object-expirer on Swift proxy profile
- Update puppet-midonet
- Call VF configuration from udev rules
- Add Contrail settings to haproxy.pp

* Thu May 04 2017 Jason Joyce <jjoyce@redhat.com> 5.5.0-12
- Ensure we configure ssl.conf (rhbz#1441982)

* Tue May 02 2017 Alex Schultz <aschultz@redhat.com> 5.5.0-11
- Add support for livemigration of ssh (rhbz#1428241)

* Tue May 02 2017 Jason Joyce <jjoyce@redhat.com> 5.5.0-10
- Update patches (rhbz#1428826)

* Fri Mar 03 2017 Mike Burns <mburns@redhat.com> 5.5.0-4
- Stop accidentally removing docker-distribution (rhbz#1428826)
- Add Docker Registry profile (rhbz#1428826)
- Add virtual_packages support to norpm provider (rhbz#1426434)

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 5.5.0-3
- horizon: be more flexible in hiera neutron (lp#1659662)
- Don't include api/scheduler manifests on manila share service set up (rhbz#1398022)

* Tue Jan 17 2017 Jon Schlueter <jschluet@redhat.com> 5.5.0-2
- Decouples neutron services from OpenDaylight API service (rhbz#1406479)
- Fixes missing haproxy firewall rules for OpenDaylight (rhbz#1406472)
- Add the ml2_odl section when using opendalight_v2 (rhbz#1409070)

* Tue Jan 03 2017 Alan Pevec <alan.pevec@redhat.com> 5.5.0-1
- Update to 5.5.0

* Tue Jan 03 2017 Lukas Bezdicka <lbezdick@redhat.com> 5.4.0-4
- [CVE-2016-9599] Enforce Firewall TCP / UDP rules management (rhbz#1409688)

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 5.4.0-3
- Do not configure state matching when using GRE (rhbz#1397964)
- Move calculation of neutron l3_ha into puppet profile
- Use mode 'http' in haproxy for ceilometer, neutron, aodh and gnocchi
  (rhbz#1370018, rhbz#1383180, rhbz#1383183, rhbz#1383186)
- Remove explicit hiera calls for heat in keystone profile

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.4.0-2
- Increase haproxy timeouts
- Normalize civetweb binding address if IPv6 (rhbz#1387872)
- Ensure keepalived is restarted when necessary.
- Fix puppet lint failure
- Improve failed mysql node removal time in HA deploys (rhbz#1389413)

* Tue Nov 15 2016 Alfredo Moralejo <amoralej@redhat.com> 5.4.0-1
- Update to 5.4.0

* Mon Nov 14 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-9
- Better way to ensure keepalived before haproxy.
- Pass X-Forwarded-Proto for missing services (rhbz#1370018)
- Enable communication between UI and the Undercloud by making HAProxy proxy for the UI

* Fri Nov 11 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-8
- Add proper handling of IPv6 addresses for rabbit host/port handling (rhbz#1393346)

* Tue Nov 08 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-7
- swift/proxy: configure rabbitmq properly
- Set redis file descriptor limit when run via pacemaker
- pacemaker/mysql: wait step 2 to remove default accounts
- Create heat user in keystone profile
- Add port to rabbitmq node ip list
- Deploy monitoring/logging agents sooner

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-6
- Make sure keepalived is restarted before haproxy (rhbz#1388283)

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-5
- Fixes transparent binding to OpenDaylight in HA Proxy
- NFS mounting for Glance file backend
- Reload haproxy if any configuration changes on HA
- Release 5.4.0
- Added X-Forwarded-Proto headers for horizon

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-4
- Only restart haproxy services when enable_load_balancer is defined
- Increase haproxy client/server timeout for swift-proxy
- Removes logic dependent on 'odl_on_controller'

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-3
- Add part_power and min_part_hours for Swift
- Fixes missing ODL ML2 Authentication info
- Set memcached_servers for nova API

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-2
- Fix broken rabbitmqctl commands when using ipv6

* Tue Oct 18 2016 Alfredo Moralejo <amoralej@redhat.com> 5.3.0-1
- Update to 5.3.0

* Thu Sep 29 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.2.0-1
- Update to 5.2.0

* Fri Sep 23 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.1.0-1
- Update to 5.1.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-1
- Update to 5.0.0


